package CRSDK;

@SuppressWarnings("unused")
public enum CrWarningExtParam_ControlPTZFResult {
    CrWarningExtParam_ControlPTZFResult_Invalid(0x00000000),
    CrWarningExtParam_ControlPTZFResult_OK(CrWarningExtParam_ControlPTZFResult_Invalid.getValue()+1),
    CrWarningExtParam_ControlPTZFResult_NG(CrWarningExtParam_ControlPTZFResult_Invalid.getValue()+2),
    CrWarningExtParam_ControlPTZFResult_Canceled(CrWarningExtParam_ControlPTZFResult_Invalid.getValue()+3);

    private final CrInt32 value;
    CrWarningExtParam_ControlPTZFResult(int value) {
        this.value = new CrInt32(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
